<?php

namespace App\Modules\TypeBookingAssign\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateTypeBookingAssignQuery implements Query
{
    public function __construct(
        private int $id,
        private string $name,
        private string $abrv,
        private int $score,
        private int $status,
    ) {
    }

    public function id(): string
    {
        return $this->id;
    }

    public function name(): string
    {
        return $this->name;
    }

    public function abrv(): string
    {
        return $this->abrv;
    }

    public function score(): int
    {
        return $this->score;
    }

    public function status(): int
    {
        return $this->status;
    }
}
